File: Changes

package info (click to toggle)
libdist-zilla-plugin-ourpkgversion-perl 0.005001-1
  • links: PTS, VCS
  • area: main
  • in suites: jessie, jessie-kfreebsd
  • size: 232 kB
  • ctags: 12
  • sloc: perl: 449; makefile: 2
file content (77 lines) | stat: -rw-r--r-- 2,231 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
Revision history for Dist-Zilla-Plugin-OurPkgVersion

0.005001  2013-12-16
	- update compile test so that it doesn't hang on windows GH #11 ( chorny )
	- add contributors plugins

0.005000  2013-09-07
	- allow comment to be #VERSION
	  - Github Issue #9
	  - Reported by Jakob Voss ( nichtich )

0.004000  2012-05-31
	- skip parsing .pod files Github Issue #6
	- Change comment to read TRIAL VERSION for trial releases
	  Github Issue #7
	  Patch by Christopher J. Madsen

0.003002  2012-01-02
	- skip if PPI unable to parse

0.003001  2012-01-01
	- Provide a better error message if PPI fails

v0.3.0    2011-08-10
	- Allow text after # VERSION comment, see docs for example
	  Github Issue #5
      Reported by David Golden

0.2.0     2011-07-31
	- Add debug logging of successfully adding versions
	  Github Issue #4
	  Patch by Christian Walde

0.1.9     2011-07-23
	- Always warn about missing # VERSION comment
	  Github Issue #3
	  Patch by David Golden

0.1.8     2011-06-01
	- Testing depends on Test::Version 0.04 or later

0.1.7     2011-05-31
	- use Test::Version::version_ok  to regression test gh issue #1

0.1.6     2011-05-09
	- version sanity checking now done the same way as PkgVersion
	- above allows for vstring, e.g 'v3.3.2', style versions,
	  Github Issue #2
	  Reported by Mike Doherty
	- use TestMania
	- add MetaJSON

0.1.5     2011-02-21
	- CRITICAL: fix bug where version number wasn't quoted. This would make
	  multipart versions (e.g. 0.1.0) not evaluate correctly, if you've used
	  a multipart version with OurPkgVersion, please re-release your module.
	- make module conform to l3 strictness of Perl::Critic
	- make changes conform to CPAN::Changes::Spec

0.1.4     2010-11-06
	- Remove AutoPrereqs from corpus, don't want to depend on that

0.1.3     2010-11-06
	- Add basic tests specific to this distribution
	- Add better error handling if no comments present
	  GitHub Issue #1
	  Reported by Stephen Clouse
	- remove cruft copied from PkgVersion that wasn't necessary

0.1.2     2010-08-07
	- All Prerequisites were not properly defined, this is corrected.

0.1.1     2010-08-07
	- override munges files to narrow which files will even be looked at

0.1.0     2010-08-03
	- initial release